# –––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––
# This template initializes a Rails app with git and Capistrano
# for a repository located on the application server or Github.
#
# Installation:   (sudo) gem install funkenplate
# Documentation:  http://github.com/funkensturm/funkenplate
# Usage:          Run "funkenplate" in your Terminal for instructions
# –––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––

unless defined?(Rails)
  puts 'This is not a standalone application, it is to be used as a template for Rails.'
  exit 1
end

unless Gem.available?('funkenplate')
  say_status :error, 'Please install the funkenplate gem first with "gem install funkenplate".', :red
  exit 1
end

def shout_status(*args)
  puts
  say_status(*args)
  puts
end

def ask(question)
  puts
  say_status :QUESTION, question, :blue
  print ' ' * 16
  $stdin.gets.strip
end

def yes?(question)
  answer = ask("#{question} (ENTER: yes)").downcase
  puts
  answer == '' or answer == "\n" or answer == 'y' or answer == 'yes' or answer == 'j' or answer == 'ja'
end

say_status :WELCOME, 'Welcome to funkenplate', :green

modules_path = "#{Gem.source_index.find_name('funkenplate').last.full_gem_path}/lib/modules"

apply "#{modules_path}/secrets.rb"
apply "#{modules_path}/general.rb"
apply "#{modules_path}/extensions.rb"
apply "#{modules_path}/database.rb"
apply "#{modules_path}/git.rb"
apply "#{modules_path}/capistrano.rb"
apply "#{modules_path}/finished.rb"
