require File.join(File.dirname(__FILE__), '..', 'string')

say_status :GIT, 'Gitifying application...', :yellow

say_status :GIT, 'Create .gitignore recursively in every empty directory...', :magenta
run 'find . \\( -type d -empty \\) -and \\( -not -regex ./\\.git.* \\) -exec touch {}/.gitignore \\;'

say_status :GIT, 'Create .gitignore in root...', :magenta
remove_file '.gitignore'
file '.gitignore', <<-END
.DS_Store
.bundle
.tmproj
tmtags
log/*.log
log/*.pid
db/*.db
db/*.sqlite3
db/schema.rb
tmp/*
tmp/**/*
doc/api
doc/app
config/database.yml
config/deploy*.rb
private
pkg
END

say_status :GIT, 'Initial commit...', :magenta
git :init
git :add => '.'
git :commit => "-a -m 'Initial commit.'"

say_status :GIT, 'Adding repository remote aliases for the fs server ...', :magenta
run 'git remote add fs fs:/home/git/repositories/~app_name~'.personalize(app_name, @secrets)
run 'git remote add fs.git fs.git:/home/git/repositories/~app_name~'.personalize(app_name, @secrets)